- Development Integration
- /
- SDK
- /
- Python
- /
Management Module
- /
Role Management
- /
- Batch Create Roles
¶ Create roles in batches
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
Create roles in batches, you can choose permission grouping, role description, etc.
¶ Method name
ManagementClient.create_roles_batch
¶ Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|---|---|---|---|---|
| list | RoleListItem[] | Yes | - | Role list Array length limit: 50. | [{"code":"my-role-code","namespace":"default","description":"this is description"}] |
¶ Request Response
Type: IsSuccessRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | IsSuccessDto | Whether the operation is successful |
Example results:
{
"statusCode": 200,
"message": "Success",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"success": true
}
}
¶ Data Structure
¶ RoleListItem
| name | type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| code | string | yes | Unique identifier of the role in the permission group | my-role-code |
| name | string | no | Role name in the permission group | my-role-name |
| description | string | no | Role description | this is a description about the role |
| namespace | string | no | The code of the permission group (permission space). If it is not passed, the default permission group will be obtained. | default |
¶ IsSuccessDto
| Name | Type | Is it required | Description | Sample value |
|---|---|---|---|---|
| success | boolean | yes | Whether the operation was successful | true |
